<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated with glade 3.20.2 -->
<interface>
  <requires lib="gtk+" version="3.20"/>
  <object class="GtkApplicationWindow" id="history_window">
    <property name="can_focus">False</property>
    <property name="title" translatable="yes">Conversation History</property>
    <property name="window_position">center</property>
    <property name="default_width">650</property>
    <property name="default_height">450</property>
    <property name="show_menubar">False</property>
    <signal name="destroy" handler="on_history_window_destroy" swapped="no"/>
    <signal name="key-press-event" handler="on_history_window_key_press_event" swapped="no"/>
    <child>
      <object class="GtkBox" id="vbox">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="border_width">12</property>
        <property name="orientation">vertical</property>
        <property name="spacing">6</property>
        <child>
          <object class="GtkBox" id="vbox1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
            <property name="orientation">vertical</property>
            <property name="spacing">6</property>
            <child>
              <object class="GtkBox" id="hbox1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                <property name="spacing">6</property>
                <child>
                  <object class="GtkEntry" id="query_entry">
                    <property name="can_focus">True</property>
                    <property name="invisible_char">●</property>
                    <property name="placeholder_text" translatable="yes">Enter name / JID of contact or groupchat</property>
                  </object>
                  <packing>
                    <property name="expand">True</property>
                    <property name="fill">True</property>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkLabel" id="label3">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                    <property name="label" translatable="yes">Search:</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">False</property>
                    <property name="position">1</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkEntry" id="search_entry">
                    <property name="visible">True</property>
                    <property name="sensitive">False</property>
                    <property name="can_focus">True</property>
                    <property name="activates_default">True</property>
                    <signal name="activate" handler="on_search_entry_activate" swapped="no"/>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">True</property>
                    <property name="position">2</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkCheckButton" id="search_in_date">
                    <property name="label" translatable="yes">_In date search</property>
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="receives_default">False</property>
                    <property name="tooltip_text" translatable="yes">Only searching within selected day</property>
                    <property name="use_underline">True</property>
                    <property name="draw_indicator">True</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">False</property>
                    <property name="position">3</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkPaned" id="vpaned1">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkPaned" id="hpaned">
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="margin_bottom">5</property>
                    <property name="position">165</property>
                    <child>
                      <object class="GtkBox" id="vbox2">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="margin_right">5</property>
                        <property name="orientation">vertical</property>
                        <property name="spacing">6</property>
                        <child>
                          <object class="GtkCalendar" id="calendar">
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <signal name="day-selected" handler="on_calendar_day_selected" swapped="no"/>
                            <signal name="month-changed" handler="on_calendar_month_changed" swapped="no"/>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkButtonBox">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="halign">center</property>
                            <property name="spacing">5</property>
                            <property name="layout_style">expand</property>
                            <child>
                              <object class="GtkButton" id="button_first_day">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <signal name="clicked" handler="_change_date" swapped="no"/>
                                <child>
                                  <object class="GtkImage">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="icon_name">go-first-symbolic</property>
                                  </object>
                                </child>
                              </object>
                              <packing>
                                <property name="expand">True</property>
                                <property name="fill">True</property>
                                <property name="position">0</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_previous_day">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <signal name="clicked" handler="_change_date" swapped="no"/>
                                <child>
                                  <object class="GtkImage">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="icon_name">go-previous-symbolic</property>
                                  </object>
                                </child>
                              </object>
                              <packing>
                                <property name="expand">True</property>
                                <property name="fill">True</property>
                                <property name="position">1</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_next_day">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <signal name="clicked" handler="_change_date" swapped="no"/>
                                <child>
                                  <object class="GtkImage">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="icon_name">go-next-symbolic</property>
                                  </object>
                                </child>
                              </object>
                              <packing>
                                <property name="expand">True</property>
                                <property name="fill">True</property>
                                <property name="position">2</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_last_day">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <signal name="clicked" handler="_change_date" swapped="no"/>
                                <child>
                                  <object class="GtkImage">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="icon_name">go-last-symbolic</property>
                                  </object>
                                </child>
                              </object>
                              <packing>
                                <property name="expand">True</property>
                                <property name="fill">True</property>
                                <property name="position">3</property>
                              </packing>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">2</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="resize">False</property>
                        <property name="shrink">False</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkScrolledWindow" id="scrolledwindow">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="shadow_type">etched-in</property>
                        <child>
                          <placeholder/>
                        </child>
                      </object>
                      <packing>
                        <property name="resize">True</property>
                        <property name="shrink">False</property>
                      </packing>
                    </child>
                  </object>
                  <packing>
                    <property name="resize">False</property>
                    <property name="shrink">True</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkScrolledWindow" id="results_scrolledwindow">
                    <property name="can_focus">True</property>
                    <property name="no_show_all">True</property>
                    <property name="shadow_type">in</property>
                    <child>
                      <object class="GtkTreeView" id="results_treeview">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="rules_hint">True</property>
                        <signal name="row-activated" handler="on_results_treeview_row_activated" swapped="no"/>
                        <child internal-child="selection">
                          <object class="GtkTreeSelection" id="treeview-selection1"/>
                        </child>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="resize">True</property>
                    <property name="shrink">True</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkBox" id="hbox2">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
            <child>
              <object class="GtkCheckButton" id="log_history_checkbutton">
                <property name="label" translatable="yes">_Log conversation history</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">False</property>
                <property name="use_underline">True</property>
                <property name="active">True</property>
                <property name="draw_indicator">True</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkCheckButton" id="show_status_checkbutton">
                <property name="label" translatable="yes">_Show status changes</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">False</property>
                <property name="use_underline">True</property>
                <property name="active">True</property>
                <property name="draw_indicator">True</property>
                <signal name="toggled" handler="on_show_status_checkbutton_toggled" swapped="no"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">1</property>
          </packing>
        </child>
        <child>
          <object class="GtkButtonBox" id="hbuttonbox">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="spacing">6</property>
            <property name="layout_style">end</property>
            <child>
              <object class="GtkButton" id="close_button">
                <property name="label">gtk-close</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="receives_default">False</property>
                <property name="use_stock">True</property>
                <signal name="clicked" handler="on_close_button_clicked" swapped="no"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">0</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">False</property>
            <property name="position">2</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
</interface>
